package intrinsic.mx.rpc.xml;

public class XMLEncoder extends intrinsic.mx.rpc.xml.SchemaProcessor implements intrinsic.mx.rpc.xml.IXMLEncoder {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public XMLEncoder() {
}


/** Static Methods */

/** Methods */
public native intrinsic.XMLList encode(Object arg0);
public native intrinsic.XMLList encode(Object arg0, intrinsic.QName arg1);
public native intrinsic.XMLList encode(Object arg0, intrinsic.QName arg1, intrinsic.QName arg2);
public native intrinsic.XMLList encode(Object arg0, intrinsic.QName arg1, intrinsic.QName arg2, intrinsic.XML arg3);
public native void encodeSimpleType(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void encodeSimpleType(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native void encodeType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void encodeType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native intrinsic.XML createContent(Object arg0);
public native intrinsic.XML createContent(Object arg0, intrinsic.QName arg1);
public native void encodeAnyAttribute(intrinsic.XML arg0, Object arg1);
public native void encodeAnyAttribute(intrinsic.XML arg0, Object arg1, Object arg2);
public native void encodeAnyAttribute(intrinsic.XML arg0, Object arg1, Object arg2, intrinsic.XML arg3);
public native void encodeSimpleRestriction(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void encodeSimpleUnion(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void encodeSimpleUnion(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native void setSimpleValue(Object arg0, Object arg1);
public native void encodeElement(intrinsic.XML arg0, Object arg1, Object arg2);
public native void encodeElement(intrinsic.XML arg0, Object arg1, Object arg2, int arg3);
public native void encodeGroup(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void encodeComplexType(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void encodeComplexType(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native void encodeAttribute(intrinsic.XML arg0, Object arg1);
public native void encodeAttribute(intrinsic.XML arg0, Object arg1, Object arg2);
public native void encodeAttribute(intrinsic.XML arg0, Object arg1, Object arg2, intrinsic.XML arg3);
public native void setArrayValue(Object arg0, Object arg1);
public native Object encodeElementTopLevel(intrinsic.XML arg0, intrinsic.QName arg1, Object arg2);
public native void encodeSimpleContent(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void encodeSimpleContent(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native boolean hasAttribute(Object arg0, Object arg1);
public native void encodeChoice(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void encodeComplexRestriction(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native boolean hasValue(Object arg0, Object arg1);
public native void encodeComplexContent(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native Object getValue(Object arg0, Object arg1);
public native Object getValue(Object arg0, Object arg1, double arg2);
public native void encodeAny(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void encodeAny(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3, int arg4);
public native intrinsic.Array getProperties(Object arg0);
public native void encodeComplexExtension(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native Object getAttribute(Object arg0, Object arg1);
public native Object marshallBuiltInType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native Object marshallBuiltInType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native boolean isSimpleValue(Object arg0);
public native void encodeSequence(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native Object getSimpleValue(Object arg0, Object arg1);
public native void setValue(Object arg0, Object arg1);
public native void encodeAttributeGroup(intrinsic.XML arg0, Object arg1);
public native void encodeAttributeGroup(intrinsic.XML arg0, Object arg1, Object arg2);
public native void encodeAttributeGroup(intrinsic.XML arg0, Object arg1, Object arg2, intrinsic.XML arg3);
public native void encodeSimpleList(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void encodeSimpleList(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native void encodeAll(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void setAttribute(Object arg0, Object arg1, Object arg2);

}
